Bug 108972 - Release Note does not specify "BOOTUP=color" required for graphical boot
Release Note does not specify "BOOTUP=color" required for graphical boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-03 17:22 EST by Kam Leo
Modified: 2014-03-16 22:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 16:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kam Leo 2003-11-03 17:22:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.1)
Gecko/20031027

Description of problem:

/etc/rc.d/rc.sysinit has two if-blocks which contain the following:

if fgrep rhgb /proc/cmdline > /dev/null 2>&1 && [ "$BOOTUP" = "color"
-a "$GRAPHICAL" = "yes" -a -x /usr/bin/rhgb ]; then
   /usr/bin/rhgb
   RHGB_STARTED=1
fi

The release note has this section regarding graphical boot:

Fedora Core 1 now uses a graphical interface while booting. The
graphical boot screen will appear once the kernel has loaded.
Graphical booting is controlled by the GRAPHICAL  line in the
/etc/sysconfig/init file; set it to "no" to permanently disable
graphical booting. In addition, the parameter rhgb must be appended to
your bootloader command line.

The release note does not mention that "BOOTUP=color" needs to be set
in /etc/sysconfig/init in order for graphical boot to run.

Which file has the correct scoop?  


Version-Release number of selected component (if applicable):
30-Oct-2003

How reproducible:
Always

Steps to Reproduce:
1. Search
http://rawhide.redhat.com/pub/redhat/linux/rawhide/i386/RELEASE-NOTES.html
for section regarding rhgb.
2. Use text editor and search /etc/rc.d/rc.sysinit for rhgb section
3.
    

Actual Results:  RELEASE-NOTES.HTML contains no reference to BOOTUP while
rc.sysinit contains logic requiring "$BOOTUP" = "color" for rhgb to run.

Expected Results:  Release note and rc.sysinit to be in sync.

Additional info:
Comment 1 Jonathan Blandford 2003-11-04 10:34:51 EST
Bill, do we really need to key off of BOOTUP here?
Comment 2 Bill Nottingham 2003-11-04 10:44:16 EST
Having both BOOTUP and GRAPHICAL and a CLI is a little overkill.
Comment 3 Bill Nottingham 2005-09-30 16:37:29 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.
Realistically, we probably won't change this until we kill off rhgb.

Note You need to log in before you can comment on or make changes to this bug.